%define version 0.1.0
%define release 2
%define name smeserver-clamav-unofficial-sigs


Summary:Unofficial ClamAV signature integration
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-clamav-unofficial-sigs-0.1.0-bz11597-sme10.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: clamav-unofficial-sigs
Requires: smeserver-clamav

%description
Configure unofficial ClamAV signatures on SME Server

%changelog
* Sun Jun 12 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.0-2.sme
- import to SME10 [SME: 11597]
  rewrite the configuraiton using os.conf
  add event on installation
  systemd compatible
  about backup ready, need comment out and new dep

* Wed Jun 10 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1
- initial release

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
rm -rf root/etc/e-smith/templates/etc/clamav-unofficial-sigs/clamav-unofficial-sigs.conf

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

